Get Deployed Start Form
curl --request GET \
--url http://{host}:{port}/{contextPath}/process-definition/{id}/deployed-start-form \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/process-definition/{id}/deployed-start-form"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/process-definition/{id}/deployed-start-form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"userId": "<string>",
"missingAuthorizations": [
{
"permissionName": "<string>",
"resourceName": "<string>",
"resourceId": "<string>"
}
],
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}流程定义
通过Id获取已部署的开始表单
Retrieves the deployed form that can be referenced from a start event. For further information please refer to User Guide.
GET
/
process-definition
/
{id}
/
deployed-start-form
Get Deployed Start Form
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the process definition to get the deployed start form for.
Response
Request successful.
For application/xhtml+xml Responses, a byte stream is returned.
⌘I